/**
 * getAuthority - use localStorage to store the authority info,
 * which might be sent from server in actual project.
 *
 * @return {string}  <'root'|'general'>
 */
export function getAuthority() {
  return localStorage.getItem('realbull-authority') || 'general';
}

/**
 * setAuthority - save authority to localstorage with the name `realbull-authority`.
 *
 * @param  {string} authority <'root'|'general'>
 */
export function setAuthority(authority) {
  return localStorage.setItem('realbull-authority', authority);
}

/**
 * setLocalUser - use localStorage to store the user information.
 *
 * @param  {json} currentUser {'id': 'xxx', 'name': 'xxx'}
 */
export function setLocalUser(currentUser) {
  return localStorage.setItem('realbull-user', JSON.stringify(currentUser));
}

export function getLocalUser() {
  return JSON.parse(localStorage.getItem('realbull-user') || '{}');
}
