const RESOURCE_VIDEO = 0;
const RESOURCE_IMAGE = 3;

const PRODUCT_LESSON = 'LESSON';
const PRODUCT_COURSE = 'COURSE';
const PRODUCT_SUPPORT = 'SUPPORT';
const PRODUCT_PACKAGE = 'PACKAGE';

const STATUS_NORMAL = 'NORMAL';
const STATUS_DELETE = 'DEL';

const ORDER_UNPAID = 'UNPAID';
const ORDER_CANCEL = 'CANCEL';
const ORDER_PAYOK = 'PAYOK';
const ORDER_FORSEND = 'FORSEND';
const ORDER_SENT = 'SENT';
const ORDER_RECEIVED = 'RECEIVED';
const ORDER_REFUND = 'REFUND';
const ORDER_COMPLETE = 'COMPLETE';
const ORDER_SPLITED = 'YES';
const ORDER_UNSPLIT = 'UN';
const ORDER_NOSPLIT = 'NO';

const GOODS_VIRTUAL = 'VIRTUAL';
const GOODS_ENTITY = 'ENTITY';

const DOMAIN_CP = 1010;
const DOMAIN_LJ = 2010;
const DOMAIN_PJ = 3010;

const CHARGE_UNIT_SEASON = '季';
const CHARGE_UNIT_HALF_YEAR = '半年';
const CHARGE_UNIT_YEAR = '年';
const CHARGE_UNIT_ITEM = '件';
const DURATION_SEASON = 90;
const DURATION_HALF_YEAR = 180;
const DURATION_YEAR = 365;

const PAGE_SIZE = 20;

const FILE_MAX_SIZE = 5; // Index max size should below 5M
const pageSize = 20;
const plantform = 'LJ';
const projectName = 'RealBull';
const copyright = '2017-2020 领教信息科技有限公司';
const apiHost = 'http://tt-cms.api.ai160.com';
const ossHost = 'http://efunimgs.oss-cn-beijing.aliyuncs.com';
const api = {
  userLogin: `${apiHost}/login`,
  userLogout: `${apiHost}/logout`,
  resource: `${apiHost}/resource/list`,
  signature: `${apiHost}/oss/signature`,
  picture: `${apiHost}/resource`,
  merchant: `${apiHost}/merchant/list`,
  merchantItem: `${apiHost}/merchant`,
  recommend: `${apiHost}/merchant/recommend`,
  deposit: `${apiHost}/money/charge`,
  campus: `${apiHost}/campus/list`,
  campusItem: `${apiHost}/campus`,
  terminal: `${apiHost}/user/list`,
  terminalItem: `${apiHost}/user`,
  terminalUnbound: `${apiHost}/device/unbind`,
  specialTerminal: `${apiHost}/white/user/list`,
  specialTerminalItem: `${apiHost}/white/user`,
  cmsUser: `${apiHost}/cms/user/list`,
  cmsUserItem: `${apiHost}/cms/user`,
  courseware: `${apiHost}/ware/list`,
  coursewareItem: `${apiHost}/ware`,
  lesson: `${apiHost}/lesson/list`,
  lessonItem: `${apiHost}/lesson`,
  tagGroup: `${apiHost}/group/list`,
  tagGroupItem: `${apiHost}/group`,
  tag: `${apiHost}/tag/list`,
  tagItem: `${apiHost}/tag`,
  product: `${apiHost}/product`,
  items: `${apiHost}/merchant/product`,
  itemDetail: `${apiHost}/merchant/product/detail`,
  itemCreate: `${apiHost}/merchant/product/status`,
  itemBindTags: `${apiHost}/merchant/product/tags`,
  itemBindPrices: `${apiHost}/goods`,
  shopCart: `${apiHost}/buymsg/list`,
  order: `${apiHost}/order`,
  subOrder: `${apiHost}/order/detail`,
  orderPay: `${apiHost}/order/pay`,
  orderSend: `${apiHost}/order/send`,
  orderReceive: `${apiHost}/order/receive`,
};

export {
  FILE_MAX_SIZE,
  CHARGE_UNIT_YEAR,
  CHARGE_UNIT_SEASON,
  CHARGE_UNIT_HALF_YEAR,
  CHARGE_UNIT_ITEM,
  DURATION_YEAR,
  DURATION_SEASON,
  DURATION_HALF_YEAR,
  RESOURCE_VIDEO,
  RESOURCE_IMAGE,
  PRODUCT_LESSON,
  PRODUCT_COURSE,
  PRODUCT_SUPPORT,
  PRODUCT_PACKAGE,
  STATUS_NORMAL,
  STATUS_DELETE,
  ORDER_UNPAID,
  ORDER_CANCEL,
  ORDER_PAYOK,
  ORDER_FORSEND,
  ORDER_SENT,
  ORDER_REFUND,
  ORDER_RECEIVED,
  ORDER_COMPLETE,
  ORDER_NOSPLIT,
  ORDER_SPLITED,
  ORDER_UNSPLIT,
  GOODS_ENTITY,
  GOODS_VIRTUAL,
  PAGE_SIZE,
  DOMAIN_CP,
  DOMAIN_LJ,
  DOMAIN_PJ,
  plantform,
  projectName,
  copyright,
  ossHost,
  api,
  pageSize,
};
